FROM keymetrics/pm2:14-alpine

LABEL maintainer="Thawatchai Seangduan <thawatchai.sea2@gmail.com>"

WORKDIR /home/smartrefer

RUN apk update && apk upgrade && apk add --no-cache alpine-sdk git \
  alpine-sdk \
  openssh \
  autoconf \
  tzdata \
  build-base \
  libtool \
  bash \
  automake \
  g++ \
  go \
  ruby \
  make \
  && cp /usr/share/zoneinfo/Asia/Bangkok /etc/localtime \
  && echo "Asia/Bangkok" > /etc/timezone

COPY . .

RUN npm i --force && npm install -f @types/ws@8.5.4 && npm run build

RUN rm -rf src

CMD ["pm2-runtime", "process.json"]
